LibreOffice: AccessibleCheckBox Service Reference

LibreOffice LibreOffice 6.1 SDK API Reference

Exported Interfaces | List of all members
AccessibleCheckBox Service Reference

specifies accessibility support for a check box. More...

`import"AccessibleCheckBox.idl";`

Inheritance diagram for AccessibleCheckBox:

## Exported Interfaces
interface | ::com::sun::star::accessibility::XAccessibleContext
| This interface gives access to the structural information of a check box: More...
interface | ::com::sun::star::accessibility::XAccessibleEventBroadcaster
interface | ::com::sun::star::accessibility::XAccessibleComponent
interface | ::com::sun::star::accessibility::XAccessibleExtendedComponent
interface | ::com::sun::star::accessibility::XAccessibleText
| This interface gives read-only access to the text representation of a check box. More...
interface | ::com::sun::star::accessibility::XAccessibleAction
| This interface gives access to the actions that can be executed for a check box. More...
interface | ::com::sun::star::accessibility::XAccessibleValue
| This interface gives access to the numerical value of a check box, which is related to the check box state: More...

## Additional Inherited Members
Public Member Functions inherited from XAccessibleContext
long | getAccessibleChildCount ()
| Return the number of children. More...
XAccessible | getAccessibleChild ([in] long i) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the i-th child of this object. More...
XAccessible | getAccessibleParent ()
| Returns the parent of this object. More...
long | getAccessibleIndexInParent ()
| Returns the index of this object in its accessible parent. More...
short | getAccessibleRole ()
| Returns the role of this object. More...
string | getAccessibleDescription ()
| Returns the object's description. More...
string | getAccessibleName ()
| Return the object's localized name. More...
XAccessibleRelationSet | getAccessibleRelationSet ()
| Returns the set of relations defined for this object. More...
XAccessibleStateSet | getAccessibleStateSet ()
| Returns the set of states that are currently active for this object. More...
::com::sun::star::lang::Locale | getLocale () raises (IllegalAccessibleComponentStateException)
| Returns the locale of the component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XAccessibleEventBroadcaster
void | addAccessibleEventListener ([in] XAccessibleEventListener xListener)
| registers the given XAccessibleEventListener. More...
void | removeAccessibleEventListener ([in] XAccessibleEventListener xListener)
| unregisters the given XAccessibleEventListener. More...
Public Member Functions inherited from XAccessibleComponent
boolean | containsPoint ([in] ::com::sun::star::awt::Point Point)
| Tests whether the specified point lies within this object's bounds. More...
XAccessible | getAccessibleAtPoint ([in] ::com::sun::star::awt::Point Point)
| Returns the Accessible child that is rendered under the given point. More...
::com::sun::star::awt::Rectangle | getBounds ()
| Returns the bounding box of this object. More...
::com::sun::star::awt::Point | getLocation ()
| Returns the location of the upper left corner of the object's bounding box relative to the parent. More...
::com::sun::star::awt::Point | getLocationOnScreen ()
| Returns the location of the upper left corner of the object's bounding box in screen coordinates. More...
::com::sun::star::awt::Size | getSize ()
| Returns the size of this object's bounding box. More...
void | grabFocus ()
| Grabs the focus to this object. More...
::com::sun::star::util::Color | getForeground ()
| Returns the foreground color of this object. More...
::com::sun::star::util::Color | getBackground ()
| Returns the background color of this object. More...
Public Member Functions inherited from XAccessibleExtendedComponent
::com::sun::star::awt::XFont | getFont ()
| Returns the font of this object. More...
string | getTitledBorderText ()
| Returns the titled border text. More...
string | getToolTipText ()
| Returns the tool tip text of this object. More...
Public Member Functions inherited from XAccessibleText
long | getCaretPosition ()
| Return the position of the caret. More...
boolean | setCaretPosition ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Set the position of the caret. More...
char | getCharacter ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Return the character at the specified position. More...
sequence<::com::sun::star::beans::PropertyValue > | getCharacterAttributes ([in] long nIndex, [in] sequence< string > aRequestedAttributes) raises (::com::sun::star::lang::IndexOutOfBoundsException, ::com::sun::star::beans::UnknownPropertyException)
| Get the attribute set for the specified position. More...
::com::sun::star::awt::Rectangle | getCharacterBounds ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Return the bounding box of the specified position. More...
long | getCharacterCount ()
| Return the number of characters in the represented text. More...
long | getIndexAtPoint ([in] ::com::sun::star::awt::Point aPoint)
| Return the text position for the specified screen position. More...
string | getSelectedText ()
| Return the selected text. More...
long | getSelectionStart ()
| Return the position of the start of the selection. More...
long | getSelectionEnd ()
| Return the position of the end of the selection. More...
boolean | setSelection ([in] long nStartIndex, [in] long nEndIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Set a new selection. More...
string | getText ()
| Return the whole text. More...
string | getTextRange ([in] long nStartIndex, [in] long nEndIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Return the specified text range. More...
TextSegment | getTextAtIndex ([in] long nIndex, [in] short nTextType) raises (::com::sun::star::lang::IndexOutOfBoundsException, ::com::sun::star::lang::IllegalArgumentException)
| Get a text portion around the given position. More...
TextSegment | getTextBeforeIndex ([in] long nIndex, [in] short nTextType) raises (::com::sun::star::lang::IndexOutOfBoundsException, ::com::sun::star::lang::IllegalArgumentException)
| Get a text portion before the given position. More...
TextSegment | getTextBehindIndex ([in] long nIndex, [in] short nTextType) raises (::com::sun::star::lang::IndexOutOfBoundsException, ::com::sun::star::lang::IllegalArgumentException)
| Get a text portion behind the given position. More...
boolean | copyText ([in] long nStartIndex, [in] long nEndIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Copy the specified text into the clipboard. More...
Public Member Functions inherited from XAccessibleAction
long | getAccessibleActionCount ()
| Returns the number of accessible actions available in this object. More...
boolean | doAccessibleAction ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Perform the specified Action on the object. More...
string | getAccessibleActionDescription ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns a description of the specified action of the object. More...
XAccessibleKeyBinding | getAccessibleActionKeyBinding ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns a key binding object, if there is one, associated with the specified action. More...
Public Member Functions inherited from XAccessibleValue
any | getCurrentValue ()
| Returns the value of this object as a number. More...
boolean | setCurrentValue ([in] any aNumber)
| Sets the value of this object to the given number. More...
any | getMaximumValue ()
| Returns the maximal value that can be represented by this object. More...
any | getMinimumValue ()
| Returns the minimal value that can be represented by this object. More...

## Detailed Description

specifies accessibility support for a check box.

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ ::com::sun::star::accessibility::XAccessibleAction

interface ::com::sun::star::accessibility::XAccessibleAction

This interface gives access to the actions that can be executed for a check box.

The supported actions for a check box are:

- click

## ◆ ::com::sun::star::accessibility::XAccessibleComponent

interface ::com::sun::star::accessibility::XAccessibleComponent

## ◆ ::com::sun::star::accessibility::XAccessibleContext

interface ::com::sun::star::accessibility::XAccessibleContext

This interface gives access to the structural information of a check box:

- Role: The role of a check box is com::sun::star::accessibility::AccessibleRole::CHECK_BOX.
- Name: The name of a check box is its localized label.
- Description: The description of a check box is its localized help text.
- Children: There are no children.
- Parent: The parent is the window that contains the check box.
- Relations: There are no relations.
- States: The states supported by this service are
  - com::sun::star::accessibility::AccessibleStateType::CHECKED is set if the object is currently checked.
  - com::sun::star::accessibility::AccessibleStateType::DEFUNC is set if the object has already been disposed and subsequent calls to this object result in com::sun::star::lang::DisposedException exceptions.
  - com::sun::star::accessibility::AccessibleStateType::ENABLED is set if the object is enabled.
  - com::sun::star::accessibility::AccessibleStateType::FOCUSABLE is always set.
  - com::sun::star::accessibility::AccessibleStateType::FOCUSED is set if the object currently has the keyboard focus.
  - com::sun::star::accessibility::AccessibleStateType::SHOWING is set if the object is displayed on the screen.
  - com::sun::star::accessibility::AccessibleStateType::VISIBLE is always set.

## ◆ ::com::sun::star::accessibility::XAccessibleEventBroadcaster

interface ::com::sun::star::accessibility::XAccessibleEventBroadcaster

## ◆ ::com::sun::star::accessibility::XAccessibleExtendedComponent

interface ::com::sun::star::accessibility::XAccessibleExtendedComponent

## ◆ ::com::sun::star::accessibility::XAccessibleText

interface ::com::sun::star::accessibility::XAccessibleText

This interface gives read-only access to the text representation of a check box.

## ◆ ::com::sun::star::accessibility::XAccessibleValue

interface ::com::sun::star::accessibility::XAccessibleValue

This interface gives access to the numerical value of a check box, which is related to the check box state:

    0: not checked
    1: checked
    2: don't know

The documentation for this service was generated from the following file:

- com/sun/star/awt/AccessibleCheckBox.idl